ResponseRetrieveParamsBase { include, include_obfuscation, starting_after, 2 more }
include?: Array<BetaResponseIncludable>

Query param: Additional fields to include in the response. See the include parameter for Response creation above for more information.

One of the following:
"file_search_call.results"
"web_search_call.results"
"web_search_call.action.sources"
"message.input_image.image_url"
"computer_call_output.output.image_url"
"code_interpreter_call.outputs"
"reasoning.encrypted_content"
"message.output_text.logprobs"
include_obfuscation?: boolean

Query param: When true, stream obfuscation will be enabled. Stream obfuscation adds random characters to an obfuscation field on streaming delta events to normalize payload sizes as a mitigation to certain side-channel attacks. These obfuscation fields are included by default, but add a small amount of overhead to the data stream. You can set include_obfuscation to false to optimize for bandwidth if you trust the network links between your application and the OpenAI API.

starting_after?: number

Query param: The sequence number of the event after which to start streaming.

stream?: false

Query param: If set to true, the model response data will be streamed to the client as it is generated using server-sent events. See the Streaming section below for more information.

betas?: Array<"responses_multi_agent=v1">

Header param: Optional beta features to enable for this request.

ResponseRetrieveParamsNonStreaming extends ResponseRetrieveParamsBase { include, include_obfuscation, starting_after, 2 more } { stream }
stream?: false

Query param: If set to true, the model response data will be streamed to the client as it is generated using server-sent events. See the Streaming section below for more information.

ResponseRetrieveParamsStreaming extends ResponseRetrieveParamsBase { include, include_obfuscation, starting_after, 2 more } { stream }
stream: true

Query param: If set to true, the model response data will be streamed to the client as it is generated using server-sent events. See the Streaming section below for more information.